This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 226008 - Merge Review: libgcrypt
Merge Review: libgcrypt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:21 EST by Nobody's working on this, feel free to take it
Modified: 2010-02-03 08:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-03 08:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mitr: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:21:59 EST
Fedora Merge Review: libgcrypt

http://cvs.fedora.redhat.com/viewcvs/devel/libgcrypt/
Initial Owner: nalin@redhat.com
Comment 1 Miloslav Trmač 2010-02-02 19:08:33 EST
rpmlint:
> libgcrypt.src: W: strange-permission hobble-libgcrypt 0755
> libgcrypt.x86_64: W: no-documentation
Include license text at the very minimum - see below; including AUTHORS ChangeLog NEWS README (?) THANKS TODO wouldn't hurt either.
> libgcrypt.x86_64: W: hidden-file-or-dir /lib64/.libgcrypt.so.11.hmac
See recent discussion on fedora-devel

* libgcrypt-devel contains files under GPLv2+: gcrypt.{texi,info},dumpsexp.c
  => use "License: GPLv2+", or perhaps better "License: GPLv2+ and LGPLv2+",
  or split the package

* libgcrypt should contain %doc COPYING.LIB,
  libgcrypt-devel %doc COPYING

* "The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least %{name}, %{version} and %{release}:" - %release is not used

* Can you avoid %makeinstall? src/Makefile.in seems to support DESTDIR.

* Use %global instead of %define

* https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
Comment 2 Tomas Mraz 2010-02-03 03:36:45 EST
(In reply to comment #1)
> rpmlint:
> > libgcrypt.src: W: strange-permission hobble-libgcrypt 0755
> > libgcrypt.x86_64: W: no-documentation
> Include license text at the very minimum - see below; including AUTHORS
> ChangeLog NEWS README (?) THANKS TODO wouldn't hurt either.
Fixed. (I did not include ChangeLog and README as they are not much useful.)

> > libgcrypt.x86_64: W: hidden-file-or-dir /lib64/.libgcrypt.so.11.hmac
> See recent discussion on fedora-devel
Technically this file (in contrary to the .hmac files in bin dirs) does not break the FHS. It is still not completely decided where this file should live in case of libgcrypt as the library is not in %{_libdir} but in /%{_lib}

> * libgcrypt-devel contains files under GPLv2+: gcrypt.{texi,info},dumpsexp.c
>   => use "License: GPLv2+", or perhaps better "License: GPLv2+ and LGPLv2+",
>   or split the package
Fixed.

> * libgcrypt should contain %doc COPYING.LIB,
Fixed.

>   libgcrypt-devel %doc COPYING
Fixed.

> * "The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least
> %{name}, %{version} and %{release}:" - %release is not used
Fixed.

> * Can you avoid %makeinstall? src/Makefile.in seems to support DESTDIR.
Fixed.

> * Use %global instead of %define
Not fixed. This is not a MUST and here the %define works fine and will work fine in future rpm versions as well.

> *
> https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment    
I've added a comment.

Here is a new build with the problems fixed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1960493
Comment 3 Miloslav Trmač 2010-02-03 08:17:05 EST
Thanks, approved; I expect the *.hmac file location will eventually be updated after the final location is clear.
Comment 4 Tomas Mraz 2010-02-03 08:55:49 EST
Yes, thanks.

Note You need to log in before you can comment on or make changes to this bug.